/* 
This file handles the calls to the modified Nifty Corners Cube
Basically, this file is responsible for all the rounding stuff

Nifty Corners Cube - rounded corners with CSS and Javascript
by Alessandro Fulciniti (a.fulciniti@html.it), GPL

Plone integration & modification of Nifty Corners Cube by Markus Proske, ploneworks@gmail.com
See www.luminance.at for more information!
*/

function NiftyRounding() {
			/* just disable a Nifty or NiftyComplex statement if you do not want that element rounded by commenting it out */

/* Known issues - anonymous view */


/* Known issues - editable documents */
/* IE: white rectangle between content area and menu */
/* Safari: bottom corners of content area not rounded */ 

			
			/* rounding site-search */
/*			NiftyComplex("div.LSBox", "normal", "#00FF00", "#FF0000", "#FF0000");  
			NiftyComplex("input#searchGadget", "normal", "#00FF00", "#FF0000", "#FF0000"); 
			NiftyComplex("input.searchButton", "normal", "#00FF00", "#FF0000", "#FF0000"); */
			
    		/* rounding the global navigation tabs */
			Nifty("ul#portal-globalnav a","normal transparent top");

			/* rounding the portlets, use the new NiftyComplex */     		
     		/* when resizing browser font with +: left slot portlets not perfect... */
     		/* NiftyComplex is needed here as the background of dl.portlet as the parent of portletHeader has the wrong color */
     		NiftyComplex("dt.portletHeader","normal top", "#893340", "#D45242", "#D45242"); 
     		Nifty("dl.portlet","normal transparent bottom");
    
    		/* round selected item in navigation */
    		Nifty("a.navTreeCurrentItem", "normal transparent");
    		Nifty("li.navTreeItem a", "normal transparent");
    
     		/* rounding the content view tabs */
			Nifty("ul.contentViews a","normal transparent top");
			
			/* rounding the actionMenus */
			Nifty("div.contentActions","normal transparent top");
			Nifty("dd.actionMenuContent ul", "normal transparent bottom");
			
			/* rounding the content area */
			/* NiftyComplex("div#region-content", "normal transparent", "00FF00", "00FF00", "00FF00"); */    
			/* NiftyComplex("div#content", "normal transparent", "#CCCCCC", "#FFFFFF", "#FFFFFF"); */
			Nifty("div#content", "normal transparent"); 

			/* rounding the footer */
			Nifty("div#portal-footer", "normal transparent"); 
}


/* IMPORTANT: register our function with plone to have it called on window load */
registerPloneFunction(NiftyRounding);
